Subject: Re: bug#25769: 24.5; netrc-parse assumes machine/login/password all appear on one line

From: Ted Zlatanov <[email-masked]>
Date: Fri, 17 Feb 2017 10:34:14 -0500

On Fri, 17 Feb 2017 12:22:10 +1100 [email-masked] (Trent W. Buck) wrote: 

TWB> ...but now I'm finally annoyed enough to actually report this and get a formal WONTFIX.

Please see
https://lists.gnu.org/archive/html/bug-gnu-emacs/2015-12/msg00266.html
(the whole discussion is pertinent)

For your bug report specifically, maybe you mean
`auth-source-netrc-parse'? If you do mean `netrc-parse', please note
that it's only used in one place in the whole Emacs core AFAIK.
Otherwise, if you can come up with a patch against
`auth-source-netrc-parse' that handles multiline AND quoting as I
suggested, I see no problem with merging it. But I would rather not
patch or support netrc.el--better to remove it altogether.

Thanks
Ted